summaryrefslogtreecommitdiff
path: root/nonsystemd
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2020-01-18 13:01:29 -0300
committerDavid P <megver83@parabola.nu>2020-01-18 13:01:29 -0300
commit5bbad0a6c0a66ad6cdd9031b888dda5be2b24ed3 (patch)
tree9af123ad81f4756b28fffc70084d6ab35a1f2cf0 /nonsystemd
parentf798bb419dbef10358ef9d8365e7d592e9a055ea (diff)
updpkg: nonsystemd/dbus 1.12.16-3.nonsystemd1
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'nonsystemd')
-rw-r--r--nonsystemd/dbus/PKGBUILD19
-rw-r--r--nonsystemd/dbus/dbus-reload.hook13
-rw-r--r--nonsystemd/dbus/dbus.initd30
3 files changed, 40 insertions, 22 deletions
diff --git a/nonsystemd/dbus/PKGBUILD b/nonsystemd/dbus/PKGBUILD
index cd96351eb..51a10e947 100644
--- a/nonsystemd/dbus/PKGBUILD
+++ b/nonsystemd/dbus/PKGBUILD
@@ -6,24 +6,26 @@
pkgname=dbus
pkgver=1.12.16
-pkgrel=2
-pkgrel+=.nonsystemd2
+pkgrel=3
+pkgrel+=.nonsystemd1
pkgdesc="Freedesktop.org message bus system"
url="https://wiki.freedesktop.org/www/Software/dbus/"
arch=(x86_64 i686 armv7h)
license=(GPL custom)
depends=(libx11 libelogind expat audit)
makedepends=(elogind xmlto docbook-xsl python yelp-tools doxygen git autoconf-archive graphviz)
-provides=(libdbus dbus-openrc dbus-elogind)
+provides=(libdbus $pkgname-{elogind,openrc})
conflicts=(${provides[@]})
replaces=(${provides[@]})
_commit=23cc709db8fab94f11fa48772bff396b20aea8b0 # tags/dbus-1.12.16^0
source=("git+https://gitlab.freedesktop.org/dbus/dbus.git#commit=$_commit"
- 'dbus-enable-elogind.patch'
- 'dbus.initd')
+ dbus-reload.hook
+ dbus-enable-elogind.patch
+ dbus.initd)
sha256sums=('SKIP'
+ '1335a86bb5eb68614bf13af314f1a7f5f6f68253584986e9c5b492a4585ab722'
'faffcaa5b295f49fcedeed2c9ece5298949096be3062fd99a4bf1a6ac3ad1ea0'
- '00a1a8f254d4f40b6f98a2777809b9c45ad81c4aeb4c0592793dd839777990bd')
+ '9964aa935b4a7d64f5970bcfcd561b06013a85ae2712444bc4c5f644364dab3b')
validpgpkeys=('DA98F25C0871C49A59EAFF2C4DE8FF2A63C7CC90' # Simon McVittie <simon.mcvittie@collabora.co.uk>
'3C8672A0F49637FE064AC30F52A43A1E4B77B059') # Simon McVittie <simon.mcvittie@collabora.co.uk>
@@ -79,6 +81,8 @@ package() {
install -Dt "$pkgdir/usr/share/licenses/$pkgname" -m644 dbus/COPYING
+ install -Dt "$pkgdir/usr/share/libalpm/hooks" -m644 *.hook
+
# We have a pre-assigned uid (81)
echo 'u dbus 81 "System Message Bus"' |
install -Dm644 /dev/stdin "$pkgdir/usr/lib/sysusers.d/dbus.conf"
@@ -88,7 +92,8 @@ package() {
# Init script
install -Dm755 "$srcdir/dbus.initd" "$pkgdir/etc/init.d/dbus"
- sed -i 's|dbus.pid|dbus/pid|g' "$pkgdir/etc/init.d/dbus"
+ install -d "${pkgdir}/etc/runlevels/default"
+ ln -sf "/etc/init.d/dbus" "${pkgdir}/etc/runlevels/default/dbus"
}
# vim:set sw=2 et:
diff --git a/nonsystemd/dbus/dbus-reload.hook b/nonsystemd/dbus/dbus-reload.hook
new file mode 100644
index 000000000..400b650c7
--- /dev/null
+++ b/nonsystemd/dbus/dbus-reload.hook
@@ -0,0 +1,13 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = etc/dbus-1/system.d/*.conf
+Target = usr/share/dbus-1/system.d/*.conf
+Target = usr/share/dbus-1/system-services/*.service
+
+[Action]
+Description = Reloading system bus configuration...
+When = PostTransaction
+Exec = /usr/share/libalpm/scripts/openrc-hook reload dbus
diff --git a/nonsystemd/dbus/dbus.initd b/nonsystemd/dbus/dbus.initd
index bd3542381..8c4ad242f 100644
--- a/nonsystemd/dbus/dbus.initd
+++ b/nonsystemd/dbus/dbus.initd
@@ -1,36 +1,36 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
+#!/usr/bin/openrc-run
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License, v2 or later
extra_started_commands="reload"
description="An IPC message bus daemon"
-pidfile="/var/run/dbus.pid"
+pidfile="/run/dbus/pid"
command="/usr/bin/dbus-daemon"
command_args="--system"
-dbus_socket="/var/run/dbus/system_bus_socket"
+dbus_socket="/run/dbus/system_bus_socket"
depend() {
- need localmount
- after bootmisc
+ need localmount
+ after bootmisc
}
start_pre() {
- /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
+ /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
- # We need to test if /var/run/dbus exists, since script will fail if it does not
- checkpath -q -d /var/run/dbus
+ # We need to test if /run/dbus exists, since script will fail if it does not
+ checkpath -q -d "/run/dbus"
}
stop_post() {
- [ ! -S "${dbus_socket}" ] || rm -f "${dbus_socket}"
+ [ ! -S "${dbus_socket}" ] || rm -f "${dbus_socket}"
}
reload() {
- ebegin "Reloading D-BUS messagebus config"
- /usr/bin/dbus-send --print-reply --system --type=method_call \
- --dest=org.freedesktop.DBus \
- / org.freedesktop.DBus.ReloadConfig > /dev/null
- eend $?
+ ebegin "Reloading D-BUS messagebus config"
+ dbus-send --print-reply --system --type=method_call \
+ --dest=org.freedesktop.DBus \
+ / org.freedesktop.DBus.ReloadConfig > /dev/null
+ eend $?
}